# Cost sources (/api-reference/costs/cost-sources)

## Cost sources

`GET https://data.tryopengrid.com/v1/costs/sources`

Machine-readable cost sources and their last fetch.

### Parameters

- `limit` (query, integer)
- `cursor` (query, any)
- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `description` (string)
- `last_attempt_at` (null)
- `last_attempt_ok` (null)
- `last_error` (null)
- `last_ok_fetch_at` (null)
- `provider` (string)
- `provider_name` (string)
- `source` (string)
- `url` (string)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/costs/sources" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```